

import {
  View, Image, Input, Picker,
  Text
} from "@tarojs/components"

import { useState } from "react"
import CustomNav from "@/components/CustomNav"
import searchs from '@/assets/homesImgaes/searchs.png'//搜索图片
import ButtontWX from '@/components/ButtontWX'
import addresss from '@/assets/mineImgaes/addresss.png'//地址

import './style.less'



export default (props) => {

  const carsList = [
    { carsName: '联合收割机', carsUrl: 'http://img3.jc001.cn/img/001/1/1512/15566fd0311736f.jpg', jiage: '300', carsLocation: '3.9' },
    { carsName: '水稻播种机', carsUrl: 'http://img3.jc001.cn/img/001/1/1512/15566fd031719b1.jpg', jiage: '300', carsLocation: '3.9' },
    { carsName: '秸秆统一处理 型号：GB2312', carsUrl: 'http://img3.jc001.cn/img/001/1/1512/15566fd03201503.jpg', jiage: '免费', carsLocation: '3.9' },
    { carsName: '花生稻子小麦收割一体机', carsUrl: 'http://img3.jc001.cn/img/001/1/1512/15566fd0324f649.jpg', jiage: '550', carsLocation: '3.9' },
    { carsName: '拖拉机', carsUrl: 'https://image.cnhnb.com/image/jpg/miniapp/2020/03/26/ef945970d2cc4948b61d45ce57ac1179.jpg', jiage: '180', carsLocation: '3.9' },
    { carsName: '自行车', carsUrl: 'https://image.cnhnb.com/image/jpg/miniapp/2020/03/26/e8745759793d48398f82e6658186686a.jpg', jiage: '20', carsLocation: '3.9' },
  ]

  const handleSearch = (e) => {
    console.log(e.detail.value)
  }

  const [distanceValue, setDistanceValue] = useState('距离')
  const distanceValueState = {
    selector: ['由近到远', '由远到近'],
    selectorChecked: distanceValue,
  }
  const onChangeDistance = e => {
    setDistanceValue(distanceValueState.selector[e.detail.value])
  }



  const [selectValueType, setselectValueType] = useState('类型')
  const selectValueTypeState = {
    selector: ['收割机', '水稻机', '清障机', '战斗机', '公鸡'],
    selectorChecked: selectValueType,
  }


  const onChangeType = e => {
    setselectValueType(selectValueTypeState.selector[e.detail.value])
  }


  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='更多' />
      </View>
      <scroll-view scrollY style='height: 100%;' >

        <View className='heads-content-searchClass-abcc'>
          <Input type='text' className='heads-content-searchClass-abcc-searchInput' onBlur={handleSearch} placeholder='搜索关键字查询订单' />
          <Image src={searchs} className='heads-content-searchClass-abcc-searchInput-searchImg' />
        </View>
        <View className='pick-box'>

          <Picker className='picker-box' mode='selector' range={distanceValueState.selector} onChange={onChangeDistance}>
            <View className='picker-text'>
              {distanceValueState.selectorChecked}
              <View className='heads-top-box-left-addresssImg-DownIcon-Picker' />
            </View>
          </Picker>
          <Picker className='picker-box' mode='selector' range={selectValueTypeState.selector} onChange={onChangeType}>
            <View className='picker-text'>
              {selectValueTypeState.selectorChecked}
              <View className='heads-top-box-left-addresssImg-DownIcon-Picker' />
            </View>
          </Picker>
        </View>
        {/* 内容区域 */}

        {
          carsList.map((item, index) => {
            return (
              <View key={index} className='carsListImga-bottom-box-copyStyleless'>
                <Image src={item.carsUrl} />
                <View className='carsListImga-bottom-box-copyStyleless-flaxBox'>
                  <View className='carsListImga-bottom-box-copyStyleless-flaxBox-liftText'>
                    <View className='carsListImga-bottom-box-copyStyleless-flaxBox-liftText-Titles'>{item.carsName}</View>
                    <View className='carsListImga-bottom-box-copyStyleless-flaxBox-liftText-price'>{item.jiage}/<Text>公顷</Text></View>
                  </View>
                  <View className='carsListImga-bottom-box-copyStyleless-flaxBox-rightBut'>
                    <ButtontWX butText='预约' butWidth={80} butHeight={34} butFontSize={19} butBorderRadius={0} />
                  </View>
                </View>
                <View className='content-header-box-map-copyStyleless'>
                  <View className='content-header-box-map-copyStyleless-liftCentent'>
                    <Image src={addresss} />
                    <View>距离当前位置{item.carsLocation}公里</View>
                  </View>
                  <View className='content-header-box-map-copyStyleless-rightCentent'>进入地图&gt;&gt;</View>
                </View>
              </View>
            )
          })
        }
      </scroll-view>
    </View>
  )
}
