
import { View, Image, Text } from "@tarojs/components"
import Taro from '@tarojs/taro'

import ordersListImga from '@/assets/ordersImages/ordersListImga.png'
import ordersLeft from '@/assets/ordersImages/ordersLeft.png'//订单装饰


import './OrdersCss/style.less'


export default (props) => {




  const orderStates = (item) => {
    switch (item) {
      case 0:
        return {
          title: '待付款',
          styleColor: '#51D4FF'
        }
      case 1:
        return {
          title: '已付款',
          styleColor: '#FF703B'
        }
      case 2:
        return {
          title: '进行中',
          styleColor: '#44F68B'
        }
      case 3:
        return {
          title: '已完成',
          styleColor: '#FF703B'
        }
      case 4:
        return {
          title: '待评价',
          styleColor: '#51D4FF'
        }
      case 5:
        return {
          title: '退单待审',
          styleColor: '#51D4FF'
        }
      case 6:
        return {
          title: '待付款',
          styleColor: '#FF703B'
        }
      default:
        return {
          title: '暂无状态',
          styleColor: '#000'
        }
    }
  }
  const handleTobePaid = () => {
    Taro.navigateTo({ url: '/pages/OrderInfo/index' })
  }

  const orderListContent = [
    { orderNumber: 'XJDF82521DA', cardsName: '联合收割机', cardNumber: '6', need: '2021-08-09', place: '2021-08-01', orderState: 0, feiyong: '360' },
    { orderNumber: 'XJDF45244DA', cardsName: '不知道这是什么什么', cardNumber: '1', need: '2021-05-08', place: '2021-08-17', orderState: 1, feiyong: '78' },
    { orderNumber: 'XJDF82521DA', cardsName: '为此发爱疸的箭的', cardNumber: '211', need: '2021-08-04', place: '2021-08-27', orderState: 2, feiyong: '35' },
    { orderNumber: 'X78788821DA', cardsName: '水稻播种000015', cardNumber: '4', need: '2021-04-04', place: '2021-08-22', orderState: 3, feiyong: '170' },
    { orderNumber: 'X44F77777DA', cardsName: '消费者协会', cardNumber: '5', need: '2021-02-11', place: '2021-08-10', orderState: 4, feiyong: '88' },
    { orderNumber: 'XJ7857771DA', cardsName: '3·15', cardNumber: '1', need: '2021-01-09', place: '2021-08-10', orderState: 5, feiyong: '1.35' },
    { orderNumber: 'X0000000001', cardsName: '农民伯伯', cardNumber: '2', need: '2027-08-29', place: '2021-08-17', orderState: 6, feiyong: '0.35' },
  ]

  return (
    <scroll-view scrollY style='height: 100%;' >
      <View className='content-header-box-orders'>
        <View className='content-header-box-orders-liftCentent'>
          <Image src={ordersListImga} />
          <View>订单列表</View>
        </View>
        {/* <View className='content-header-box-orders-rightCentent'>更多&gt;&gt;</View> */}
      </View>
      {
        orderListContent.map((item, index) => {
          return (
            <View key={index} className='orders-listBox'>
              <Image src={ordersLeft} />
              <View className='orders-listBox-RihtboxBoxOrderViewText'>
                <View className='View-LiftTextTop' onClick={handleTobePaid} >订单编号：<Text>{item.orderNumber}</Text><Text className='View-LiftTextTop-nextText'>更多&gt;&gt;</Text></View>
                <View>农机名称：<Text>{item.cardsName}</Text></View>
                <View>需求数量：<Text>{item.cardNumber}</Text></View>
                <View>需求时间：<Text>{item.need}</Text></View>
                <View>下单时间：<Text>{item.place}</Text></View>
                <View className='View-LiftTextBotton'>
                  <View>订单状态：<Text style={{ color: orderStates(item.orderState).styleColor }} >{orderStates(item.orderState).title}</Text></View>
                  <View>费用：<Text className='feiyongStyle'>{item.feiyong}</Text></View>
                </View>
              </View>
            </View>
          )
        })

      }

    </scroll-view>
  )
}
